# destatis
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.0
- Package version: 0.1.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python >= 3.6

## Installation & Usage
### pip install

```sh
pip install deutschland[destatis]
```

### poetry install

```sh
poetry add deutschland -E destatis
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

## Usage

Import the package:
```python
from deutschland import destatis
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import time
from deutschland import destatis
from pprint import pprint
from deutschland.destatis.api import default_api
# Defining the host is optional and defaults to https://www-genesis.destatis.de/genesisWS/rest/2020
# See configuration.py for a list of all supported configuration parameters.
configuration = destatis.Configuration(
    host = "https://www-genesis.destatis.de/genesisWS/rest/2020"
)



# Enter a context with an instance of the API client
with destatis.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = default_api.DefaultApi(api_client)
    username = "GAST" # str |  (optional) (default to "GAST")
    password = "GAST" # str |  (optional) (default to "GAST")
    name = "name_example" # str |  (optional)
    area = "free" # str |  (optional) (default to "free")
    charttype = "0" # str |  (optional) (default to "0")
    drawpoints = "false" # str |  (optional) (default to "false")
    zoom = "2" # str |  (optional) (default to "2")
    focus = "false" # str |  (optional) (default to "false")
    tops = "false" # str |  (optional) (default to "false")
    format = "png" # str |  (optional) (default to "png")
    language = "de" # str |  (optional) (default to "de")

    try:
        api_instance.chart2result(username=username, password=password, name=name, area=area, charttype=charttype, drawpoints=drawpoints, zoom=zoom, focus=focus, tops=tops, format=format, language=language)
    except destatis.ApiException as e:
        print("Exception when calling DefaultApi->chart2result: %s\n" % e)
```

## Documentation for API Endpoints

All URIs are relative to *https://www-genesis.destatis.de/genesisWS/rest/2020*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*DefaultApi* | [**chart2result**](docs/DefaultApi.md#chart2result) | **GET** /data/chart2result | 
*DefaultApi* | [**chart2table**](docs/DefaultApi.md#chart2table) | **GET** /data/chart2table | 
*DefaultApi* | [**chart2timeseries**](docs/DefaultApi.md#chart2timeseries) | **GET** /data/chart2timeseries | 
*DefaultApi* | [**cube**](docs/DefaultApi.md#cube) | **GET** /data/cube | 
*DefaultApi* | [**cube_meta**](docs/DefaultApi.md#cube_meta) | **GET** /metadata/cube | 
*DefaultApi* | [**cubefile**](docs/DefaultApi.md#cubefile) | **GET** /data/cubefile | 
*DefaultApi* | [**cubes**](docs/DefaultApi.md#cubes) | **GET** /catalogue/cubes | 
*DefaultApi* | [**cubes2statistic**](docs/DefaultApi.md#cubes2statistic) | **GET** /catalogue/cubes2statistic | 
*DefaultApi* | [**cubes2variable**](docs/DefaultApi.md#cubes2variable) | **GET** /catalogue/cubes2variable | 
*DefaultApi* | [**find**](docs/DefaultApi.md#find) | **GET** /find/find | 
*DefaultApi* | [**jobs**](docs/DefaultApi.md#jobs) | **GET** /catalogue/jobs | 
*DefaultApi* | [**logincheck**](docs/DefaultApi.md#logincheck) | **GET** /helloworld/logincheck | 
*DefaultApi* | [**map2result**](docs/DefaultApi.md#map2result) | **GET** /data/map2result | 
*DefaultApi* | [**map2table**](docs/DefaultApi.md#map2table) | **GET** /data/map2table | 
*DefaultApi* | [**map2timeseries**](docs/DefaultApi.md#map2timeseries) | **GET** /data/map2timeseries | 
*DefaultApi* | [**modifieddata**](docs/DefaultApi.md#modifieddata) | **GET** /catalogue/modifieddata | 
*DefaultApi* | [**password**](docs/DefaultApi.md#password) | **GET** /profile/password | 
*DefaultApi* | [**qualitysigns**](docs/DefaultApi.md#qualitysigns) | **GET** /catalogue/qualitysigns | 
*DefaultApi* | [**remove_result**](docs/DefaultApi.md#remove_result) | **GET** /profile/removeResult | 
*DefaultApi* | [**result**](docs/DefaultApi.md#result) | **GET** /data/result | 
*DefaultApi* | [**resultfile**](docs/DefaultApi.md#resultfile) | **GET** /data/resultfile | 
*DefaultApi* | [**results**](docs/DefaultApi.md#results) | **GET** /catalogue/results | 
*DefaultApi* | [**statistic**](docs/DefaultApi.md#statistic) | **GET** /metadata/statistic | 
*DefaultApi* | [**statistics**](docs/DefaultApi.md#statistics) | **GET** /catalogue/statistics | 
*DefaultApi* | [**statistics2variable**](docs/DefaultApi.md#statistics2variable) | **GET** /catalogue/statistics2variable | 
*DefaultApi* | [**table**](docs/DefaultApi.md#table) | **GET** /data/table | 
*DefaultApi* | [**table_meta**](docs/DefaultApi.md#table_meta) | **GET** /metadata/table | 
*DefaultApi* | [**tablefile**](docs/DefaultApi.md#tablefile) | **GET** /data/tablefile | 
*DefaultApi* | [**tables**](docs/DefaultApi.md#tables) | **GET** /catalogue/tables | 
*DefaultApi* | [**tables2statistic**](docs/DefaultApi.md#tables2statistic) | **GET** /catalogue/tables2statistic | 
*DefaultApi* | [**tables2variable**](docs/DefaultApi.md#tables2variable) | **GET** /catalogue/tables2variable | 
*DefaultApi* | [**terms**](docs/DefaultApi.md#terms) | **GET** /catalogue/terms | 
*DefaultApi* | [**timeseries**](docs/DefaultApi.md#timeseries) | **GET** /catalogue/timeseries | 
*DefaultApi* | [**timeseries2statistic**](docs/DefaultApi.md#timeseries2statistic) | **GET** /catalogue/timeseries2statistic | 
*DefaultApi* | [**timeseries2variable**](docs/DefaultApi.md#timeseries2variable) | **GET** /catalogue/timeseries2variable | 
*DefaultApi* | [**timeseries_data**](docs/DefaultApi.md#timeseries_data) | **GET** /data/timeseries | 
*DefaultApi* | [**timeseries_meta**](docs/DefaultApi.md#timeseries_meta) | **GET** /metadata/timeseries | 
*DefaultApi* | [**timeseriesfile**](docs/DefaultApi.md#timeseriesfile) | **GET** /data/timeseriesfile | 
*DefaultApi* | [**value**](docs/DefaultApi.md#value) | **GET** /metadata/value | 
*DefaultApi* | [**values**](docs/DefaultApi.md#values) | **GET** /catalogue/values | 
*DefaultApi* | [**values2variable**](docs/DefaultApi.md#values2variable) | **GET** /catalogue/values2variable | 
*DefaultApi* | [**variable**](docs/DefaultApi.md#variable) | **GET** /metadata/variable | 
*DefaultApi* | [**variables**](docs/DefaultApi.md#variables) | **GET** /catalogue/variables | 
*DefaultApi* | [**variables2statistic**](docs/DefaultApi.md#variables2statistic) | **GET** /catalogue/variables2statistic | 
*DefaultApi* | [**whoami**](docs/DefaultApi.md#whoami) | **GET** /helloworld/whoami | 


## Documentation For Models



## Documentation For Authorization

 All endpoints do not require authorization.

## Author

kontakt@bund.dev


## Notes for Large OpenAPI documents
If the OpenAPI document is large, imports in destatis.apis and destatis.models may fail with a
RecursionError indicating the maximum recursion limit has been exceeded. In that case, there are a couple of solutions:

Solution 1:
Use specific imports for apis and models like:
- `from deutschland.destatis.api.default_api import DefaultApi`
- `from deutschland.destatis.model.pet import Pet`

Solution 2:
Before importing the package, adjust the maximum recursion limit as shown below:
```
import sys
sys.setrecursionlimit(1500)
from deutschland import destatis
from deutschland.destatis.apis import *
from deutschland.destatis.models import *
```

